Payment Follow-up Management

by
Odoo 1
v 11.0 Third Party 20

55.00 €

You bought this module and need support ? Click here !
Technical name account_followup_drc
LicenseOPL-1
Websitehttp://www.drcsystems.com/
Read description for v 10.0 v 9.0
Required Apps Sales Management (sale_management)
Invoicing Management (account_invoicing)
Sales (sale)
Invoicing (account)
Technical name account_followup_drc
LicenseOPL-1
Websitehttp://www.drcsystems.com/
Read description for v 10.0 v 9.0
Required Apps Sales Management (sale_management)
Invoicing Management (account_invoicing)
Sales (sale)
Invoicing (account)

Follow-up Level Configuration

You can Configure various Followup actions for every Reminder

You can Configure multiple Follow-up. Under the followup you can define email template for payment followup email.

Manual Follow-up

It shows the list of customer which are having due amount.

Customer Payment Follow-up Info.

Here, Display the tab for payment follow-up information.
Also you can print letter or send an email to customer for payment follow-up.

Send Follow-ups

Send an email to customer for payment followup as per follow-up level configuration.

Follow-up summary

Here, Display the how many email and letter are sent to customer for payment follow-up. Also you can download letters by using 'Download Letters' button.

Follow-up Letter

Follow-up Remider Email

Odoo Proprietary License v1.0

This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).

You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).

It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.

The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • This section is meant to ask simple questions or leave a rating.
  • This author can leave a single reply to each comment.
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
Odoo
Error sending email and no support
by on

Trying to get support 10 days ago, but still now no answer: I am getting errors with this addon when I try to send emails: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 938, in call_button action = self._call_kw(model, method, args, {}) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "/opt/odoo/addons/account_followup_drc/wizard/account_followup_print.py", line 190, in do_process self.do_update_followup_level(to_update, partner_list, date) File "/opt/odoo/addons/account_followup_drc/wizard/account_followup_print.py", line 166, in do_update_followup_level line.followup_line_id = to_update[id]['level'] File "/usr/lib/python3/dist-packages/odoo/fields.py", line 980, in __set__ record.write({self.name: write_value}) File "/usr/lib/python3/dist-packages/odoo/addons/account/models/account_move.py", line 1351, in write result = super(AccountMoveLine, self).write(vals) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3090, in write self._write(old_vals) File "/usr/lib/python3/dist-packages/odoo/models.py", line 3318, in _write self.recompute() File "/usr/lib/python3/dist-packages/odoo/models.py", line 4905, in recompute vals = {n: rec[n] for n in ns} File "/usr/lib/python3/dist-packages/odoo/models.py", line 4905, in vals = {n: rec[n] for n in ns} File "/usr/lib/python3/dist-packages/odoo/models.py", line 4759, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1028, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1008, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1001, in _compute_value self.compute(records) File "/opt/odoo/addons/account_followup_drc/models/res_partner.py", line 23, in _get_latest if (aml.company_id == company) and (not latest_date or latest_date < aml.followup_date): TypeError: unorderable types: str() < bool()